Package ch.qos.logback.core.status

# Class ErrorStatus

java.lang.Object
ch.qos.logback.core.status.StatusBase
ch.qos.logback.core.status.ErrorStatus

All Implemented Interfaces:
  `Status`

public class ErrorStatus extends StatusBase

## Field Summary

### Fields inherited from interface ch.qos.logback.core.status.Status

`ERROR, INFO, WARN`

## Constructor Summary

Constructors
Constructor
Description
`ErrorStatus(String msg, Object origin)`
`ErrorStatus(String msg, Object origin, Throwable t)`

## Method Summary

### Methods inherited from class ch.qos.logback.core.status.StatusBase

`add, equals, getDate, getEffectiveLevel, getLevel, getMessage, getOrigin, getThrowable, hasChildren, hashCode, iterator, remove, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ErrorStatus

public ErrorStatus(String msg, Object origin)

### ErrorStatus

public ErrorStatus(String msg, Object origin, Throwable t)